Download it now!
Bug 102477 - Toolbar xml-based split button popout widget has wrong background (KDE)
Summary: Toolbar xml-based split button popout widget has wrong background (KDE)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2016-09-23 22:34 UTC by Heiko Tietze
Modified: 2017-03-01 20:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Shapes widget on Qt5/Breeze Dark (4.54 KB, image/png)
2016-09-23 22:34 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-09-23 22:34:19 UTC
Created attachment 127591 [details]
Shapes widget on Qt5/Breeze Dark

The shapes are light gray on white background. When I detach this control and make it a normal toolbar all the background is set correctly to the dark system color.
Comment 1 Yousuf Philips (jay) (retired) 2016-09-24 02:05:20 UTC
Seems similar to bug 101671, but likely is kde-specific. Hopefully jmux can look into it once he's back from holiday.

Not sure how it is a newly introduced shapes widget, as it has always been in LO from the start, but yes newly introduced to the standard toolbar. :D
Comment 2 Commit Notification 2016-12-20 13:22:19 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60f49908e08c53fd5581c38ab0c93cd3631563eb

tdf#102477 Drop toolbar popup window background

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-03-01 11:11:35 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 4 Heiko Tietze 2017-03-01 20:07:53 UTC
/verified

Version: 5.4.0.0.alpha0+
Build ID: bb626853cbe59010537d35e9390f24963e149fe4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-03-01_13:39:24
Locale: en-US (en_US.UTF-8); Calc: group